Powered by Coinflow
Payments · Documentation
Operational

Get Withdrawer

GET https://api-sandbox.coinflow.cash/api/withdraw

Gets the withdrawer record for a particular user or business.

Reference: /api-reference/api-reference/withdraw/get-withdrawer

Authentication

  • x-coinflow-auth-wallet header (required) — The web3 wallet of the end user - see /api-reference/api-reference/authentication/get-session-key
  • x-coinflow-auth-blockchain header (required) — The blockchain associated with the end user - see /api-reference/api-reference/authentication/get-session-key
  • x-coinflow-auth-merchant-id header (required) — The merchant ID the session should be generated for
  • x-coinflow-auth-user-id header (required) — The external identifier of the end user - see /api-reference/api-reference/authentication/get-session-key
  • Authorization header (required) — The API key of the merchant - see /api-reference/api-reference/authentication/get-session-key
  • x-coinflow-auth-session-key header (required) — The session key generated for the end user - see /api-reference/api-reference/authentication/get-session-key

Request

Query parameters

  • redirectLink (string, optional) — (optional): The URL to which the user will be redirected after successfully completing verification via verificationLink. This applies when the API responds with a 451 status code, instructing the caller to direct the user to verificationLink first.

Response

200

Ok

  • withdrawer (object, required)
    • _id (string, required)
    • wallet (string, required)
    • blockchain (enum, required)
      • Allowed values: solana, eth, polygon, base, user, arbitrum, stellar, monad, tempo
    • wallets (list of object, required)
      • wallet (string, required)
      • blockchain (enum, required)
        • Allowed values: solana, eth, polygon, base, user, arbitrum, stellar, monad, tempo
    • email (string, required)
    • availability (object, required)
      • status (enum, required)
        • Allowed values: Functional, Blocked, Override
      • reason (string, required)
      • editor (string, required)
      • updatedAt (datetime, required)
    • currency (enum, required)
      • Allowed values: USD, AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CHF, CLF, CLP, CNY, COP, CRC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ETB, EUR, FJD, GBP, GEL, GHS, GMD, GNF, GTQ, GYD, HKD, HNL, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MWK, MVR, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RWF, SAR, SCR, SDG, SEK, SGD, SLE, SLL, SOS, SRD, STN, SVC, SYP, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, UYU, UZS, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZAR, ZMW, ZWL, CDF, ERN, FKP, KPW, RUB, SBD, SHP, SSP, VES
    • merchant (string or object, required)
      • IMerchant_string_
        • _id (string, required)
        • merchantId (string, required)
        • verification (object, required)
          • reference (string, required)
          • status (enum, required)
            • Allowed values: pending, partial-approval, approved, rejected, expired
          • vendor (enum, required)
            • Allowed values: middesk, sumsub, sumsub_docv, persona, persona_kyb
          • name (string, optional)
          • attested (boolean, optional)
          • shareToken (string, optional)
          • shareTokenStatus (string, optional)
          • sessionToken (string, optional)
          • rejectionReasons (list of string, optional)
        • withdrawFees (object, required)
          • firstParty (object, required) — Make all properties in T optional
            • asap (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • same_day (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • standard (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • card (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • iban (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • pix (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • eft (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • venmo (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • paypal (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • wire (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • interac (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • swift (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
          • business (object, required) — Make all properties in T optional
            • asap (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • same_day (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • standard (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • card (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • iban (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • pix (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • eft (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • venmo (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • paypal (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • wire (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • interac (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • swift (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
          • user (object, required) — Make all properties in T optional
            • asap (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • same_day (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • standard (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • card (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • iban (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • pix (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • eft (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • venmo (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • paypal (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • wire (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • interac (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
            • swift (object, optional)
              • fixed (object, required)
              • variableBps (double, required)
              • minimum (object, required)
              • maximum (object, optional)
              • limit (object, optional) — Make all properties in T optional
          • swapBps (double, required)
        • wallets (object, required)
          • stellar (object, required)
            • usdcPayer (string, required)
          • evm (object, required)
            • usdcPayer (string, required)
            • feePayer (string, required)
          • solana (object, required)
            • usdcPayer (string, required)
            • feePayer (string, required)
        • apiKey (string, required)
        • apiKeys (list of object, required)
          • ips (list of string, required)
          • privateUuid (string, required)
          • publicUuid (string, required)
          • scope (enum, optional) — Which monthly-minimum model bills the merchant, selectable in merchant settings. Off assesses no minimum; Legacy and Tiered read their numbers from the merchant’s MonthlyMinimum MerchantFeeSchedule row.
            • Allowed values: admin, editor, chargeback, chargeback_analyst, viewer, seller, pos_device
          • disabled (boolean, optional)
        • kycType (enum, required)
          • Allowed values: person, business, both
        • settlementToken (enum, required)
          • Allowed values: USDC, SBC, EUROe, FXUSD, HSUSD, CFUSD, YPUSD
        • users (list of object, required)
          • email (string, required)
          • scope (enum, required) — Which monthly-minimum model bills the merchant, selectable in merchant settings. Off assesses no minimum; Legacy and Tiered read their numbers from the merchant’s MonthlyMinimum MerchantFeeSchedule row.
            • Allowed values: admin, editor, chargeback, chargeback_analyst, viewer, seller, pos_device
          • password (string, optional)
          • secret (string, optional)
          • resetNonce (string, optional)
          • resetNonceUsed (boolean, optional)
          • ssoProvider (enum, optional)
            • Allowed values: google
          • ssoId (string, optional)
        • ubos (list of object, required)
          • reference (string, required)
          • status (enum, required)
            • Allowed values: pending, partial-approval, approved, rejected, expired
          • vendor (enum, required)
            • Allowed values: middesk, sumsub, sumsub_docv, persona, persona_kyb
          • name (string, optional)
          • attested (boolean, optional)
          • shareToken (string, optional)
          • shareTokenStatus (string, optional)
          • sessionToken (string, optional)
          • rejectionReasons (list of string, optional)
          • ownershipPct (double, optional)
          • isControllingPerson (boolean, optional)
        • goLiveChecklist (object, required)
          • acceptedToS (boolean, optional)
          • programWhitelistRequests (list of object, optional)
            • programId (string, required)
            • blockchain (enum, required)
              • Allowed values: solana, eth, polygon, base, user, arbitrum, stellar, monad, tempo
            • status (enum, required)
              • Allowed values: approved, pending, rejected
          • rfis (list of object, optional)
            • name (string, required)
            • status (enum, required)
              • Allowed values: pending, completed
            • url (string, required)
            • assignmentFormId (string, optional)
          • onboardingFormSubmitted (boolean, optional)
          • applicationSubmitted (boolean, optional)
          • applicationSubmittedAt (datetime, optional)
          • lockIndustry (boolean, optional)
        • cardSettings (object, required)
          • customerEmailNotifications (boolean, required)
          • merchantEmailNotifications (boolean, required)
          • avsCheck (boolean, required)
          • threeDsChallengePreference (enum, required)
            • Allowed values: NoPreference, Frictionless, Challenge
          • enforce3DSWhenProtectionExempt (boolean, required)
          • processor (enum, optional)
            • Allowed values: payarc, mock, shift4, merchant_warrior, greenlight, nmi_direct, mvb, fifththird, natwest, crb, highnote, nuveiv1, koard, fallback_payarc_shift4, fallback_shift4_payarc, fallback_shift4_nuvei, fallback_nuvei_payarc, fallback_payarc_nuvei, fallback_shift4_greenlight, fallback_greenlight_shift4, fallback_natwest_shift4, fallback_natwest_nuvei, fallback_natwest_shift4_payarc, fallback_natwest_shift4_nuvei, fallback_shift4_natwest_payarc, fallback_nuvei_natwest_payarc, fallback_natwest_nuvei_payarc, fallback_mvb_fifththird_shift4_payarc, fallback_fifththird_mvb_shift4_payarc, fallback_mvb_nuvei, fallback_nuvei_fifththird, fallback_fifththird_nuvei
          • orchestrationRuleId (string, optional)
          • applePayProcessor (enum, optional)
            • Allowed values: payarc, mock, shift4, merchant_warrior, greenlight, nmi_direct, mvb, fifththird, natwest, crb, highnote, nuveiv1, koard, fallback_payarc_shift4, fallback_shift4_payarc, fallback_shift4_nuvei, fallback_nuvei_payarc, fallback_payarc_nuvei, fallback_shift4_greenlight, fallback_greenlight_shift4, fallback_natwest_shift4, fallback_natwest_nuvei, fallback_natwest_shift4_payarc, fallback_natwest_shift4_nuvei, fallback_shift4_natwest_payarc, fallback_nuvei_natwest_payarc, fallback_natwest_nuvei_payarc, fallback_mvb_fifththird_shift4_payarc, fallback_fifththird_mvb_shift4_payarc, fallback_mvb_nuvei, fallback_nuvei_fifththird, fallback_fifththird_nuvei
          • googlePayProcessor (enum, optional)
            • Allowed values: payarc, mock, shift4, merchant_warrior, greenlight, nmi_direct, mvb, fifththird, natwest, crb, highnote, nuveiv1, koard, fallback_payarc_shift4, fallback_shift4_payarc, fallback_shift4_nuvei, fallback_nuvei_payarc, fallback_payarc_nuvei, fallback_shift4_greenlight, fallback_greenlight_shift4, fallback_natwest_shift4, fallback_natwest_nuvei, fallback_natwest_shift4_payarc, fallback_natwest_shift4_nuvei, fallback_shift4_natwest_payarc, fallback_nuvei_natwest_payarc, fallback_natwest_nuvei_payarc, fallback_mvb_fifththird_shift4_payarc, fallback_fifththird_mvb_shift4_payarc, fallback_mvb_nuvei, fallback_nuvei_fifththird, fallback_fifththird_nuvei
          • creditCardFeeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • chargebackProtectionFeeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • gasFeeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • fxFeeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • networkFeeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • fixedFee (object, optional)
            • cents (integer, required)
          • variableFeeBps (double, optional)
          • networkFeeBps (double, optional)
          • supportsGooglePay (boolean, optional)
          • supportsApplePay (boolean, optional)
          • saveCardDefault (boolean, optional)
          • ignoreProcessorLimit (boolean, optional)
          • nameMatchThreshold (double, optional)
          • verificationSettings (object, optional)
            • threshold3DS (object, optional)
              • cents (integer, required)
            • verificationLimit (object, optional)
              • cents (integer, required)
          • greenlightMerchantArgs (object, optional)
            • securityKey (string, required)
            • mid (string, required)
          • nuveiV1MerchantArgs (object, optional)
            • merchantId (string, required)
            • merchantSiteId (string, required)
            • conversionAffiliateCountryCode (string, optional)
          • crbMerchantArgs (object, optional) — The merchant’s CRB banking identity. CRB is onboarded manually in CRB’s dashboard — these values are pasted into our merchant dashboard and verified live against CRB before being persisted.
            • customerId (string, required)
            • cifNumber (string, optional)
            • subledgerAccountNumber (string, optional)
            • controllingPersonId (string, optional)
            • environment (enum, optional)
              • Allowed values: sandbox, production
          • highnoteMerchantArgs (object, optional)
            • businessId (string, required)
            • primaryAuthorizedPersonId (string, optional) — Highnote id of the primary business person, captured from the createBusiness response — onboardBusiness attributes its consent to it.
            • merchantAcceptorId (string, optional)
            • applicationSubmittedAt (datetime, optional) — Set when onboardBusiness (the ProductApplication submission) succeeded. A re-run while underwriting is still Pending must not re-submit the application — Highnote rejects duplicates, which would overwrite a healthy Pending status with an error.
          • payarcMerchantArgs (object, optional)
            • apiKey (string, required)
            • merchantId (string, optional)
          • threeDSArgs (object, optional) — Construct a type with a set of properties K of type T
            • VISA (object, required)
              • merchantId (string, required)
              • bin (string, required)
              • name (string, required)
              • mcc (string, optional)
            • MSTR (object, required)
              • merchantId (string, required)
              • bin (string, required)
              • name (string, required)
              • mcc (string, optional)
            • AMEX (object, required)
              • merchantId (string, required)
              • bin (string, required)
              • name (string, required)
              • mcc (string, optional)
            • DISC (object, required)
              • merchantId (string, required)
              • bin (string, required)
              • name (string, required)
              • mcc (string, optional)
            • allowAttempts (boolean, required)
            • mcc (string, required)
            • scaOnly (boolean, optional)
          • statementDescriptor (string, optional)
          • tokenizationProvider (enum, optional)
            • Allowed values: bt, tokenex
          • applePayIntegratorRegistration (object, optional)
            • domainNames (list of string, required)
            • partnerMerchantName (string, required)
            • partnerMerchantValidationURI (string, required)
            • partnerInternalMerchantIdentifier (string, required)
          • applePayMerchantDecryption (boolean, optional)
          • applePayCertificates (object, optional)
            • merchantIdCert (string, required)
            • privatePem (string, required)
            • certPem (string, required)
            • merchantDisplay (string, required)
            • merchantIdentifier (string, required)
          • aftSettings (object, optional)
            • enabled (boolean, required)
            • type (enum, required)
              • Allowed values: disbursement, personToPerson, accountToAccount, topUp, purchase, cash, walletLoad
            • purpose (enum, required)
              • Allowed values: businessToBusiness, creditCardRepayment, crypto, crowdLending, debitCard, education, emergency, familySupport, gift, giftCard, gaming, highRiskSecurities, liquidAssets, medical, payroll, prepaidCard, salary, savings, travel, other
            • merchantA2AMastercardAftRecipient (object, optional)
              • walletReference (string, required)
              • countryCode (string, required)
              • state (string, required)
              • postalCode (string, required)
              • city (string, required)
              • address1 (string, required)
              • lastName (string, required)
              • firstName (string, required)
          • customStatementDescriptor (boolean, optional)
          • cardOnFileSettings (object, optional)
            • enabled (boolean, required)
            • period (double, required)
            • maxCount (double, required)
            • maxMultiple (double, required)
            • expiration (double, required)
            • maxZeroAuthAmount (object, optional)
              • cents (integer, required)
            • maxAmountLookback (double, optional)
            • amountLimitThreshold (object, optional)
              • cents (integer, required)
          • mitSettings (object, optional)
            • enabled (boolean, required)
            • period (double, required)
            • maxCount (double, required)
            • maxMultiple (double, required)
            • expiration (double, required)
            • maxZeroAuthAmount (object, optional)
              • cents (integer, required)
            • maxAmountLookback (double, optional)
            • amountLimitThreshold (object, optional)
              • cents (integer, required)
          • blockCardReuseAcrossCustomers (boolean, optional) — When true, blocks a card payment if the same card token has been used by a different customer for this merchant.
          • allowedCardNetworks (list of enum, optional)
            • Allowed values: VISA, MSTR, AMEX, DISC
          • allowServerToServerTokenization (boolean, optional)
          • visaFraudMonitoringProgram (boolean, optional)
          • debitOnly (boolean, optional)
          • refundFeeSettings (object, optional)
            • feeBps (double, optional)
            • fixedFee (object, optional)
              • cents (integer, required)
            • minFee (object, optional)
              • cents (integer, required)
            • maxFee (object, optional)
              • cents (integer, required)
        • achSettings (object, required)
          • allowDelayedTransactions (boolean, required)
          • customerEmailNotifications (boolean, required)
          • merchantEmailNotifications (boolean, required)
          • instantSettle (boolean, required)
          • processor (enum, optional)
            • Allowed values: mock, aptpay, coinfx, braid
          • feeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • maxAmount (object, optional)
            • cents (integer, required)
          • nameMatchThreshold (double, optional)
          • requireKycBeforePurchase (boolean, optional)
          • withdrawNameMatchThreshold (double, optional)
          • minFee (object, optional)
            • cents (integer, required)
          • maxFee (object, optional)
            • cents (integer, required)
          • feeBps (double, optional)
          • fixedFee (object, optional)
            • cents (integer, required)
          • settlementDays (double, optional)
          • refundFeeSettings (object, optional)
            • feeBps (double, optional)
            • fixedFee (object, optional)
              • cents (integer, required)
            • minFee (object, optional)
              • cents (integer, required)
            • maxFee (object, optional)
              • cents (integer, required)
          • allowedOrderTypes (list of enum, optional) — If set and non-empty, achCheckout requires orderType to be one of these values.
            • Allowed values: one_time_purchase, recurring_subscription, recurring_balance_top_up, limit_order, fair_market_value
        • wireSettings (object, required)
          • customerEmailNotifications (boolean, required)
          • merchantEmailNotifications (boolean, required)
          • processor (enum, optional)
            • Allowed values: braid, mock
          • feeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • fxFeeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • minFee (object, optional)
            • cents (integer, required)
          • maxFee (object, optional)
            • cents (integer, required)
          • feeBps (double, optional)
          • fixedFee (object, optional)
            • cents (integer, required)
          • dailyLimit (object, optional)
            • cents (integer, required)
          • refundFeeSettings (object, optional)
            • feeBps (double, optional)
            • fixedFee (object, optional)
              • cents (integer, required)
            • minFee (object, optional)
              • cents (integer, required)
            • maxFee (object, optional)
              • cents (integer, required)
        • pixSettings (object, required)
          • customerEmailNotifications (boolean, required)
          • merchantEmailNotifications (boolean, required)
          • processor (enum, optional)
            • Allowed values: brla, mock
          • feeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • fxFeeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • fixedFee (object, optional)
            • cents (integer, required)
          • feeBps (double, optional)
          • refundFeeSettings (object, optional)
            • feeBps (double, optional)
            • fixedFee (object, optional)
              • cents (integer, required)
            • minFee (object, optional)
              • cents (integer, required)
            • maxFee (object, optional)
              • cents (integer, required)
        • ibanSettings (object, required)
          • customerEmailNotifications (boolean, required)
          • merchantEmailNotifications (boolean, required)
          • processor (enum, optional)
            • Allowed values: merge, ivy, mock
          • feeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • fxFeeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • fixedFee (object, optional)
            • cents (integer, required)
          • feeBps (double, optional)
          • minFee (object, optional)
            • cents (integer, required)
          • refundFeeSettings (object, optional)
            • feeBps (double, optional)
            • fixedFee (object, optional)
              • cents (integer, required)
            • minFee (object, optional)
              • cents (integer, required)
            • maxFee (object, optional)
              • cents (integer, required)
        • cryptoPayinSettings (object, required)
          • stables (object, required)
            • feeBps (double, required)
            • enabled (boolean, required)
            • feeMode (enum, optional)
              • Allowed values: user, merchant, invoice
          • majors (object, required)
            • feeBps (double, required)
            • enabled (boolean, required)
            • feeMode (enum, optional)
              • Allowed values: user, merchant, invoice
          • volatile (object, required)
            • feeBps (double, required)
            • enabled (boolean, required)
            • feeMode (enum, optional)
              • Allowed values: user, merchant, invoice
          • enabled (boolean, required)
          • maxGasFeePayment (object, required)
            • cents (integer, required)
          • coinbaseDisabled (boolean, required)
          • customerEmailNotifications (boolean, required)
          • merchantEmailNotifications (boolean, required)
          • feeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • transferOnly (boolean, optional)
          • fixedFee (object, optional)
            • cents (integer, required)
          • enableStableDepositAddresses (boolean, optional)
          • maxActivePassiveAddresses (double, optional) — Cap on the number of simultaneously-active customer pay-in passive deposit addresses for this merchant. Undefined = no cap. Paused addresses don’t count against the cap.
        • cashAppSettings (object, required)
          • customerEmailNotifications (boolean, required)
          • merchantEmailNotifications (boolean, required)
          • processor (enum, optional)
            • Allowed values: mock, flashnet
          • feeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • fxFeeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • fixedFee (object, optional)
            • cents (integer, required)
          • feeBps (double, optional)
          • minFee (object, optional)
            • cents (integer, required)
        • paypalSettings (object, required)
          • fixedFee (object, required)
            • cents (integer, required)
          • feeBps (double, required)
          • minFee (object, required)
            • cents (integer, required)
          • customerEmailNotifications (boolean, required)
          • merchantEmailNotifications (boolean, required)
          • processor (enum, optional)
            • Allowed values: mock, paypal
          • feeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • fxFeeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • maxFee (object, optional)
            • cents (integer, required)
          • refundFeeSettings (object, optional)
            • feeBps (double, optional)
            • fixedFee (object, optional)
              • cents (integer, required)
            • minFee (object, optional)
              • cents (integer, required)
            • maxFee (object, optional)
              • cents (integer, required)
          • requireLogin (boolean, optional) — When set, new PayPal payout accounts must be linked via the verified “Log in with PayPal” flow — raw phone/email adds are rejected. Not retroactive: already-linked accounts remain payable.
          • blockPayerReuseAcrossCustomers (boolean, optional) — When true, blocks a PayPal payment if the same PayPal payer identity (payerId/email) has been used by a different customer for this merchant.
          • nameMatchThreshold (double, optional) — 0–100 fuzzy-match floor for the PayPal buyer name vs. the customer’s name; below it the payment is failed before authorizing. Unset = disabled.
        • venmoSettings (object, required)
          • fixedFee (object, required)
            • cents (integer, required)
          • feeBps (double, required)
          • customerEmailNotifications (boolean, required)
          • merchantEmailNotifications (boolean, required)
          • processor (enum, optional)
            • Allowed values: mock, paypal
          • feeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • fxFeeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • maxFee (object, optional)
            • cents (integer, required)
          • minFee (object, optional)
            • cents (integer, required)
          • refundFeeSettings (object, optional)
            • feeBps (double, optional)
            • fixedFee (object, optional)
              • cents (integer, required)
            • minFee (object, optional)
              • cents (integer, required)
            • maxFee (object, optional)
              • cents (integer, required)
          • blockPayerReuseAcrossCustomers (boolean, optional) — When true, blocks a Venmo payment if the same Venmo payer identity (payerId/email) has been used by a different customer for this merchant.
          • nameMatchThreshold (double, optional) — 0–100 fuzzy-match floor for the Venmo buyer name vs. the customer’s name; below it the payment is failed before authorizing. Unset = disabled.
        • apaSettings (object, required)
          • customerEmailNotifications (boolean, required)
          • merchantEmailNotifications (boolean, required)
          • processor (enum, optional)
            • Allowed values: apa, mock
          • feeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • fxFeeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • fixedFee (object, optional)
            • cents (integer, required)
          • feeBps (double, optional)
          • minFee (object, optional)
            • cents (integer, required)
        • hideBranding (boolean, required)
        • onlyShowTotal (boolean, required)
        • skipSendWithdrawEmail (boolean, required)
        • sendInvoiceNotifications (boolean, required)
        • advancedAnalytics (boolean, required)
        • riskInsights (boolean, required) — Gates the Risk Insights dashboard. Admins see it regardless.
        • requireAniCheck (boolean, required)
        • interacSettings (object, required)
          • customerEmailNotifications (boolean, required)
          • merchantEmailNotifications (boolean, required)
          • processor (enum, optional)
            • Allowed values: mock, aptpay
          • feeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • fxFeeMode (enum, optional)
            • Allowed values: user, merchant, invoice
          • fixedFee (object, optional)
            • cents (integer, required)
          • feeBps (double, optional)
          • minFee (object, optional)
            • cents (integer, required)
        • refundBalanceLimit (object, required)
          • cents (integer, required)
        • creditSeed (string, required)
        • withdrawSettlementLocation (enum, required)
          • Allowed values: circle, brale, paper, brale_youpay, bastion
        • enforceJwt (boolean, required)
        • delayedSettlementDays (double, required) — Number of business days to delay stablecoin settlement after payment capture. Only applies to USDC settlements. 0 means no delay (immediate settlement). Maximum value is 5 days.
        • interchangeFees (object, required)
          • settings (object, required)
            • useType (boolean, required)
            • useRegion (boolean, required)
            • useScheme (boolean, required)
            • useBrand (boolean, required)
            • useDurbin (boolean, required)
          • rates (object, optional) — Construct a type with a set of properties K of type T
        • pushToCardEnabled (boolean, required, deprecated)
        • brand (object, optional)
          • portalBrand (enum, optional)
            • Allowed values: approvely, seamlesschex, coinflow, yourbrandhere, Plan2Play, tango, interlace, tapvia, decal
          • logo (string, optional)
          • displayName (string, optional)
        • colors (object, optional)
          • showCardIcon (boolean, optional)
          • placeholderColor (string, optional)
          • expirationPlaceholder (string, optional)
          • cvvPlaceholder (string, optional)
          • cardNumberPlaceholder (string, optional)
          • fontWeight (string, optional)
          • fontSize (string, optional)
          • style (enum, optional)
            • Allowed values: rounded, sharp, pill
          • font (string, optional)
          • ctaColor (string, optional)
          • textColorAction (string, optional)
          • textColorAccent (string, optional)
          • textColor (string, optional)
          • backgroundAccent2 (string, optional)
          • backgroundAccent (string, optional)
          • cardBackground (string, optional)
          • background (string, optional)
          • primary (string, optional)
        • url (string, optional)
        • customWithdrawFees (object, optional) — Make all properties in T optional
          • global (object or object, required)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required)
              • currency (enum, required)
              • percent (double, required, nullable)
              • isFixed (boolean, required)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required, nullable)
              • percent (double, required)
              • isFixed (boolean, required)
              • currency (enum, optional, nullable)
          • lineItemLabel (string, required)
          • isBundled (boolean, required)
          • asap (object or object, optional)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required)
              • currency (enum, required)
              • percent (double, required, nullable)
              • isFixed (boolean, required)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required, nullable)
              • percent (double, required)
              • isFixed (boolean, required)
              • currency (enum, optional, nullable)
          • same_day (object or object, optional)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required)
              • currency (enum, required)
              • percent (double, required, nullable)
              • isFixed (boolean, required)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required, nullable)
              • percent (double, required)
              • isFixed (boolean, required)
              • currency (enum, optional, nullable)
          • standard (object or object, optional)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required)
              • currency (enum, required)
              • percent (double, required, nullable)
              • isFixed (boolean, required)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required, nullable)
              • percent (double, required)
              • isFixed (boolean, required)
              • currency (enum, optional, nullable)
          • card (object or object, optional)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required)
              • currency (enum, required)
              • percent (double, required, nullable)
              • isFixed (boolean, required)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required, nullable)
              • percent (double, required)
              • isFixed (boolean, required)
              • currency (enum, optional, nullable)
          • iban (object or object, optional)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required)
              • currency (enum, required)
              • percent (double, required, nullable)
              • isFixed (boolean, required)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required, nullable)
              • percent (double, required)
              • isFixed (boolean, required)
              • currency (enum, optional, nullable)
          • pix (object or object, optional)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required)
              • currency (enum, required)
              • percent (double, required, nullable)
              • isFixed (boolean, required)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required, nullable)
              • percent (double, required)
              • isFixed (boolean, required)
              • currency (enum, optional, nullable)
          • eft (object or object, optional)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required)
              • currency (enum, required)
              • percent (double, required, nullable)
              • isFixed (boolean, required)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required, nullable)
              • percent (double, required)
              • isFixed (boolean, required)
              • currency (enum, optional, nullable)
          • venmo (object or object, optional)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required)
              • currency (enum, required)
              • percent (double, required, nullable)
              • isFixed (boolean, required)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required, nullable)
              • percent (double, required)
              • isFixed (boolean, required)
              • currency (enum, optional, nullable)
          • paypal (object or object, optional)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required)
              • currency (enum, required)
              • percent (double, required, nullable)
              • isFixed (boolean, required)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required, nullable)
              • percent (double, required)
              • isFixed (boolean, required)
              • currency (enum, optional, nullable)
          • wire (object or object, optional)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required)
              • currency (enum, required)
              • percent (double, required, nullable)
              • isFixed (boolean, required)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required, nullable)
              • percent (double, required)
              • isFixed (boolean, required)
              • currency (enum, optional, nullable)
          • interac (object or object, optional)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required)
              • currency (enum, required)
              • percent (double, required, nullable)
              • isFixed (boolean, required)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required, nullable)
              • percent (double, required)
              • isFixed (boolean, required)
              • currency (enum, optional, nullable)
          • swift (object or object, optional)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required)
              • currency (enum, required)
              • percent (double, required, nullable)
              • isFixed (boolean, required)
            • object
              • maxFeeCents (double, required, nullable)
              • minFeeCents (double, required, nullable)
              • coverProcessingFees (boolean, required)
              • cents (double, required, nullable)
              • percent (double, required)
              • isFixed (boolean, required)
              • currency (enum, optional, nullable)
        • customPayInFees (list of object, optional)
          • fee (object or object, required)
            • object
              • cents (double, required)
              • currency (enum, required)
              • percent (double, required, nullable)
              • isFixed (boolean, required)
            • object
              • cents (double, required, nullable)
              • currency (double, required, nullable)
              • percent (double, required)
              • isFixed (boolean, required)
          • lineItemLabel (string, required)
        • webhookValidationKey (string, optional)
        • nmiWebhookValidationKey (string, optional)
        • settlementAddresses (object, optional)
          • solana (string, optional)
          • eth (string, optional)
          • polygon (string, optional)
          • base (string, optional)
          • user (string, optional)
          • arbitrum (string, optional)
          • stellar (string, optional)
          • monad (string, optional)
          • tempo (string, optional)
          • directVendor (enum, optional)
            • Allowed values: brale
          • mpcWalletProvider (enum, optional)
            • Allowed values: metakeep, brale
          • recipientAddresses (list of object, optional)
            • createdAt (datetime, required)
            • recipient (string, required)
            • info (object, optional) — Construct a type with a set of properties K of type T
          • verification (object, optional)
            • reference (string, required)
            • status (enum, required)
              • Allowed values: pending, partial-approval, approved, rejected, expired
            • vendor (enum, required)
              • Allowed values: middesk, sumsub, sumsub_docv, persona, persona_kyb
            • name (string, optional)
            • attested (boolean, optional)
            • shareToken (string, optional)
            • shareTokenStatus (string, optional)
            • sessionToken (string, optional)
            • rejectionReasons (list of string, optional)
        • webhookSettings (object, optional)
          • webhookUrls (list of string, required)
          • version (enum, required)
            • Allowed values: Legacy, Version 1, Version 2, Version 3
          • subscriptions (list of enum, required)
            • Allowed values: Card Payment Authorized, Card Payment Declined, Card Payment Voided, Credits Minted, ACH Initiated, ACH Success, ACH Returned, ACH Failed, ACH Chargeback, ACH Batched, PIX Failed, PIX Expiration, Payment Authorized, Payment Expiration, Settled, Wire Initiated, USDC Payment Received, Subscription Created, Subscription Canceled, Subscription Expired, Subscription Failure, Subscription Concluded, Card Payment Chargeback Opened, Card Payment Chargeback Won, Card Payment Chargeback Lost, Card Payment Suspected Fraud, Payment Pending Review, KYC Created, KYC Success, KYC Failure, Sub-merchant KYB Created, Sub-merchant KYB Success, Sub-merchant KYB Failure, Withdraw Pending, Withdraw Success, Withdraw Failure, Seller Blocked, Refund, Refund Complete, Refund Failure, Refund Returned, Wire Failure, Iban Failure, Interac Failure, CashApp Failure, PayPal Failure, Venmo Failure, Reserve Released, Crypto Overpayment, Crypto Underpayment, Iban RFI Created, Iban RFI Submitted, Crypto Deposit Funds Received, Customer Override Limit Threshold, Crypto Payin Funds Received, PayPal Payment Authorized, PayPal Payment Voided, PayPal Payment Chargeback Opened, PayPal Payment Chargeback Won, PayPal Payment Chargeback Lost, Venmo Payment Authorized, Venmo Payment Voided, Venmo Payment Chargeback Opened, Venmo Payment Chargeback Won, Venmo Payment Chargeback Lost, Disbursed Funds, Unknown Wire Payment Received
          • disableAuthorizationHeader (boolean, optional)
          • disableSubmerchantToParentWebhooks (boolean, optional)
        • citconSettings (object, optional)
          • fundPurpose (enum, required)
            • Allowed values: goods, services, prizes, rebates, others
          • apiKey (string, optional)
          • apiKeyPreview (string, optional)
        • aptPayCanadaSettings (object or object, optional)
          • AptpayCanadaMerchantSettings
            • id (string, required)
          • AptpayCanadaCoinflowSettings
            • coinflow (boolean, required)
        • passiveWithdrawSettings (object, optional) — Merchant-level settings for the withdrawer-side passive deposit address flow (CryptoWithdrawService). Independent from CryptoPayInSettings.
          • enabled (boolean, required)
          • maxActiveAddresses (double, optional) — Cap on the number of simultaneously-active withdraw passive deposit addresses for this merchant. Undefined = no cap.
        • rainCompanyCards (object, optional)
          • enabled (boolean, optional)
          • rainCompanyId (string, optional)
          • externalId (string, optional)
          • applicationStatus (enum, optional)
            • Allowed values: approved, pending, needsInformation, needsVerification, manualReview, denied, locked, canceled
          • applicationReason (string, optional)
          • completionLink (string, optional)
          • submittedAt (datetime, optional)
          • lastSyncedAt (datetime, optional)
          • contract (object, optional)
            • contractId (string, required)
            • chainId (double, required)
            • depositAddress (string, required)
            • createdAt (datetime, required)
            • lastSyncedAt (datetime, required)
            • programAddress (string, optional)
            • proxyAddress (string, optional)
            • controllerAddress (string, optional)
            • contractVersion (double, optional)
            • adminAddresses (list of string, optional)
            • onramp (object, optional)
              • wire (object, optional)
              • rtp (object, optional)
              • ach (object, optional)
          • autoTopUp (object, optional)
            • enabled (boolean, required)
            • targetUsdc (double, required)
            • cadence (enum, required)
              • Allowed values: transaction, hour, day, week, month
            • lastRunAt (datetime, optional)
            • updatedAt (datetime, optional)
            • updatedBy (string, optional)
          • pendingTopUps (list of object, optional)
            • amount (double, required)
            • queuedAt (datetime, required)
            • transactionId (string, required)
          • processedSpendTxnIds (list of string, optional)
        • verisoulSettings (object, optional)
          • enabled (boolean, required)
          • riskThresholds (object, required)
            • device_risk (double, optional)
            • proxy (double, optional)
            • vpn (double, optional)
            • tor (double, optional)
            • spoofed_ip (double, optional)
            • datacenter (double, optional)
            • recent_fraud_ip (double, optional)
            • impossible_travel (double, optional)
            • device_network_mismatch (double, optional)
            • account_score (double, optional)
            • risk_signals (double, optional)
            • email_score (double, optional)
        • chargebackFightSettings (object, optional) — Per-merchant chargeback-fight enrollment. This is the only per-merchant dimension of the shouldFight flag: when enabled is false (or the settings are absent) shouldFight is always false for that merchant. The actual match rules (processor + protection decision) live in the global {@link ChargebackFightRuleset }, configured by ops on the Chargeback Ops page.
          • enabled (boolean, required) — Master enrollment switch. When false, shouldFight is always false.
        • blockConfig (object, optional)
          • disableMultiCardAttemptCheck (boolean, optional) — When true, skips the multi-card attempt check (2+ distinct cards failing in 1 hour).
          • maxDistinctTokensPer30Days (double, optional) — Maximum number of distinct card tokens a single customer may use across non-failed/voided card payments for this merchant in a rolling 30-day window. Apple Pay / Google Pay payments are excluded. Unset or 0 disables the check. Customers with failedAttemptSetting: Exempt bypass it.
          • disableDestinationAuthKey (boolean, optional) — When true, prevents usage of destinationAuthKey for custom settlement addresses.
          • enableNmiSettlement (boolean, optional) — When true, enables the settlement pipeline for NMI transactions (converts card payments to USDC).
          • disableInvoiceWalletPayment (boolean, optional) — When true, disables wallet balance payments for invoices. Merchants must use checkout.
          • blockingRules (list of object, optional) — Independent geo-blocking rules for withdrawals vs card checkout, with explicit per-rule enforcement methods (KYC address / IP / billing address). Read via getBlockingRules so callers transparently see the legacy bannedWithdrawalStates for un-migrated merchants.
            • scope (enum, required)
              • Allowed values: WITHDRAWAL, CHECKOUT, GLOBAL
            • method (enum, required)
              • Allowed values: KYC_ADDRESS, IP, BILLING_ADDRESS, GEOLOCATION, BIN
            • states (list of enum, required)
              • Allowed values: AL, AK, AZ, AR, CA, CO, CT, DE, DC, FL, GA, HI, ID, IL, IN, IA, KS, KY, LA, ME, MD, MA, MI, MN, MS, MO, MT, NE, NV, NH, NJ, NM, NY, NC, ND, OH, OK, OR, PA, RI, SC, SD, TN, TX, UT, VT, VA, WA, WV, WI, WY
            • listMode (enum, optional)
              • Allowed values: DENY, ALLOW
            • countries (list of enum, optional)
              • Allowed values: AF, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AX, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, CV, KH, CM, CA, KY, CF, TD, CL, CN, CX, CC, CO, KM, CD, CG, CK, CR, HR, CU, CW, CY, CZ, CI, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, EH, SZ, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, KR, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, MK, RO, RU, RW, RE, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, SS, ES, LK, SD, SR, SJ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, UM, US, UY, UZ, VU, VE, VN, VG, VI, WF, XK, YE, ZM, ZW
          • failedPaymentAttemptLimit (double, optional)
          • bannedWithdrawalStates (list of enum, optional, deprecated)
            • Allowed values: AL, AK, AZ, AR, CA, CO, CT, DE, DC, FL, GA, HI, ID, IL, IN, IA, KS, KY, LA, ME, MD, MA, MI, MN, MS, MO, MT, NE, NV, NH, NJ, NM, NY, NC, ND, OH, OK, OR, PA, RI, SC, SD, TN, TX, UT, VT, VA, WA, WV, WI, WY
          • whitelistedBinLocations (list of enum, optional, deprecated)
            • Allowed values: AF, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AX, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, CV, KH, CM, CA, KY, CF, TD, CL, CN, CX, CC, CO, KM, CD, CG, CK, CR, HR, CU, CW, CY, CZ, CI, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, EH, SZ, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, KR, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, MK, RO, RU, RW, RE, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, SS, ES, LK, SD, SR, SJ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, UM, US, UY, UZ, VU, VE, VN, VG, VI, WF, XK, YE, ZM, ZW
        • invoiceFrequency (enum, optional)
          • Allowed values: Monthly, BiWeekly, Weekly
        • billingEmails (list of string, optional)
        • withdrawFeePayment (object, optional)
          • paysGasFees (object, optional) — Make all properties in T optional
            • solana (boolean, optional)
            • eth (boolean, optional)
            • polygon (boolean, optional)
            • base (boolean, optional)
            • user (boolean, optional)
            • arbitrum (boolean, optional)
            • stellar (boolean, optional)
            • monad (boolean, optional)
            • tempo (boolean, optional)
          • bundleDelegatedPayoutFees (boolean, optional)
          • paysSwapFees (boolean, optional)
          • paysWithdrawFees (boolean, optional)
        • bankPayoutProvider (list of enum, optional)
          • Allowed values: aptpay, coinfx, checkbook, BRAID, brale, mock
        • ibanPayoutProviders (list of enum, optional)
          • Allowed values: merge, mock, ivy
        • swiftPayoutProviders (list of enum, optional)
          • Allowed values: manual, mock
        • ibanPayoutProvider (enum, optional)
          • Allowed values: merge, mock, ivy
        • rtpPayoutProviders (list of enum, optional)
          • Allowed values: dwolla, mock, aptpay, aptpayRtp, checkbook, brale
        • rtpPayoutProvider (enum, optional)
          • Allowed values: dwolla, mock, aptpay, aptpayRtp, checkbook, brale
        • pixPayoutProviders (list of enum, optional)
          • Allowed values: brla, mock
        • pixPayoutProvider (enum, optional)
          • Allowed values: brla, mock
        • eftPayoutProviders (list of enum, optional)
          • Allowed values: checkbook, aptpay, mock
        • eftPayoutProvider (enum, optional)
          • Allowed values: checkbook, aptpay, mock
        • p2cPayoutProviders (list of enum, optional)
          • Allowed values: aptpay, checkbook, shift4, citcon, MOCK
        • p2cPayoutProvider (enum, optional)
          • Allowed values: aptpay, checkbook, shift4, citcon, MOCK
        • globalP2cPayoutProvider (enum, optional)
          • Allowed values: aptpay, checkbook, shift4, citcon, MOCK
        • appleP2cPayoutProvider (enum, optional)
          • Allowed values: aptpay, MOCK
        • venmoPayoutProviders (list of enum, optional)
          • Allowed values: checkbook, citcon, mock, paypal
        • venmoPayoutProvider (enum, optional)
          • Allowed values: checkbook, citcon, mock, paypal
        • paypalPayoutProviders (list of enum, optional)
          • Allowed values: checkbook, citcon, mock, paypal
        • paypalPayoutProvider (enum, optional)
          • Allowed values: checkbook, citcon, mock, paypal
        • wirePayoutProvider (list of enum, optional)
          • Allowed values: MOCK, BRAID
        • interacPayoutProviders (list of enum, optional)
          • Allowed values: checkbook, mock, aptpay
        • interacPayoutProvider (enum, optional)
          • Allowed values: checkbook, mock, aptpay
        • interacPaymentProvider (enum, optional)
          • Allowed values: mock, aptpay
        • withdrawSorting (object, optional) — Make all properties in T optional
          • asap (enum, optional)
            • Allowed values: DEFAULT, CHEAPEST, ORDERED, LIMIT_CONSUMPTION
          • same_day (enum, optional)
            • Allowed values: DEFAULT, CHEAPEST, ORDERED, LIMIT_CONSUMPTION
          • standard (enum, optional)
            • Allowed values: DEFAULT, CHEAPEST, ORDERED, LIMIT_CONSUMPTION
          • card (enum, optional)
            • Allowed values: DEFAULT, CHEAPEST, ORDERED, LIMIT_CONSUMPTION
          • iban (enum, optional)
            • Allowed values: DEFAULT, CHEAPEST, ORDERED, LIMIT_CONSUMPTION
          • pix (enum, optional)
            • Allowed values: DEFAULT, CHEAPEST, ORDERED, LIMIT_CONSUMPTION
          • eft (enum, optional)
            • Allowed values: DEFAULT, CHEAPEST, ORDERED, LIMIT_CONSUMPTION
          • venmo (enum, optional)
            • Allowed values: DEFAULT, CHEAPEST, ORDERED, LIMIT_CONSUMPTION
          • paypal (enum, optional)
            • Allowed values: DEFAULT, CHEAPEST, ORDERED, LIMIT_CONSUMPTION
          • wire (enum, optional)
            • Allowed values: DEFAULT, CHEAPEST, ORDERED, LIMIT_CONSUMPTION
          • interac (enum, optional)
            • Allowed values: DEFAULT, CHEAPEST, ORDERED, LIMIT_CONSUMPTION
          • swift (enum, optional)
            • Allowed values: DEFAULT, CHEAPEST, ORDERED, LIMIT_CONSUMPTION
        • withdrawRules (list of string, optional)
        • maxTransactionAmount (object, optional)
          • cents (integer, required)
        • minTransactionAmount (object, optional)
          • cents (integer, required)
        • parent (string, optional)
        • onboardingVersion (enum, optional)
          • Allowed values: legacy, sdd
        • childDefaultOnboardingVersion (enum, optional)
          • Allowed values: legacy, sdd
        • enforceCheckoutJwt (boolean, optional)
        • externalVerificationLinks (boolean, optional)
        • whitelistedAncestorUrls (list of string, optional)
        • banDuplicateAccounts (boolean, optional)
        • fxFees (object, optional) — Make all properties in T optional
          • USD (double, optional)
          • AED (double, optional)
          • AFN (double, optional)
          • ALL (double, optional)
          • AMD (double, optional)
          • ANG (double, optional)
          • AOA (double, optional)
          • ARS (double, optional)
          • AUD (double, optional)
          • AWG (double, optional)
          • AZN (double, optional)
          • BAM (double, optional)
          • BBD (double, optional)
          • BDT (double, optional)
          • BGN (double, optional)
          • BHD (double, optional)
          • BIF (double, optional)
          • BMD (double, optional)
          • BND (double, optional)
          • BOB (double, optional)
          • BRL (double, optional)
          • BSD (double, optional)
          • BTN (double, optional)
          • BWP (double, optional)
          • BYN (double, optional)
          • BZD (double, optional)
          • CAD (double, optional)
          • CHF (double, optional)
          • CLF (double, optional)
          • CLP (double, optional)
          • CNY (double, optional)
          • COP (double, optional)
          • CRC (double, optional)
          • CUP (double, optional)
          • CVE (double, optional)
          • CZK (double, optional)
          • DJF (double, optional)
          • DKK (double, optional)
          • DOP (double, optional)
          • DZD (double, optional)
          • EGP (double, optional)
          • ETB (double, optional)
          • EUR (double, optional)
          • FJD (double, optional)
          • GBP (double, optional)
          • GEL (double, optional)
          • GHS (double, optional)
          • GMD (double, optional)
          • GNF (double, optional)
          • GTQ (double, optional)
          • GYD (double, optional)
          • HKD (double, optional)
          • HNL (double, optional)
          • HTG (double, optional)
          • HUF (double, optional)
          • IDR (double, optional)
          • ILS (double, optional)
          • INR (double, optional)
          • IQD (double, optional)
          • IRR (double, optional)
          • ISK (double, optional)
          • JMD (double, optional)
          • JOD (double, optional)
          • JPY (double, optional)
          • KES (double, optional)
          • KGS (double, optional)
          • KHR (double, optional)
          • KMF (double, optional)
          • KRW (double, optional)
          • KWD (double, optional)
          • KYD (double, optional)
          • KZT (double, optional)
          • LAK (double, optional)
          • LBP (double, optional)
          • LKR (double, optional)
          • LRD (double, optional)
          • LSL (double, optional)
          • LYD (double, optional)
          • MAD (double, optional)
          • MDL (double, optional)
          • MGA (double, optional)
          • MKD (double, optional)
          • MMK (double, optional)
          • MNT (double, optional)
          • MOP (double, optional)
          • MRU (double, optional)
          • MUR (double, optional)
          • MWK (double, optional)
          • MVR (double, optional)
          • MXN (double, optional)
          • MYR (double, optional)
          • MZN (double, optional)
          • NAD (double, optional)
          • NGN (double, optional)
          • NIO (double, optional)
          • NOK (double, optional)
          • NPR (double, optional)
          • NZD (double, optional)
          • OMR (double, optional)
          • PAB (double, optional)
          • PEN (double, optional)
          • PGK (double, optional)
          • PHP (double, optional)
          • PKR (double, optional)
          • PLN (double, optional)
          • PYG (double, optional)
          • QAR (double, optional)
          • RON (double, optional)
          • RSD (double, optional)
          • RWF (double, optional)
          • SAR (double, optional)
          • SCR (double, optional)
          • SDG (double, optional)
          • SEK (double, optional)
          • SGD (double, optional)
          • SLE (double, optional)
          • SLL (double, optional)
          • SOS (double, optional)
          • SRD (double, optional)
          • STN (double, optional)
          • SVC (double, optional)
          • SYP (double, optional)
          • SZL (double, optional)
          • THB (double, optional)
          • TJS (double, optional)
          • TMT (double, optional)
          • TND (double, optional)
          • TOP (double, optional)
          • TRY (double, optional)
          • TTD (double, optional)
          • TWD (double, optional)
          • TZS (double, optional)
          • UAH (double, optional)
          • UGX (double, optional)
          • UYU (double, optional)
          • UZS (double, optional)
          • VND (double, optional)
          • VUV (double, optional)
          • WST (double, optional)
          • XAF (double, optional)
          • XCD (double, optional)
          • XOF (double, optional)
          • XPF (double, optional)
          • YER (double, optional)
          • ZAR (double, optional)
          • ZMW (double, optional)
          • ZWL (double, optional)
          • CDF (double, optional)
          • ERN (double, optional)
          • FKP (double, optional)
          • KPW (double, optional)
          • RUB (double, optional)
          • SBD (double, optional)
          • SHP (double, optional)
          • SSP (double, optional)
          • VES (double, optional)
        • blocked (object, optional)
          • level (enum, required)
            • Allowed values: Unverified, Suspended
          • reason (string, required)
          • editor (string, required)
          • blockedAt (datetime, required)
          • recoverySignature (string, optional)
        • vendorSettings (object, optional)
          • aptPayIdentity (double, optional)
          • aptPayUSCoinflow (boolean, optional)
          • braid (object, optional)
            • businessId (double, required)
            • accountId (double, required) — the Braid operating accountId
            • accountNumber (string, required) — the Braid operating account number
            • reserveAccountId (double, required) — the Braid reserve accountId
            • reserveAccountNumber (string, required) — the Braid reserve account number
            • rollingAccountId (double, optional) — the Braid rolling accountId
            • rollingAccountNumber (string, optional) — the Braid rolling account number
          • ivy (object, optional)
            • gbpPayinAccountId (string, required)
            • eurAccountId (string, required)
          • paypal (object, optional)
            • accountId (string, required)
            • status (string, optional) — PAY_WITH_PAYPAL capability status (ACTIVE / NEED_DATA / SUSPENDED).
            • requirements (list of string, optional) — Outstanding requirements blocking PAY_WITH_PAYPAL.
            • venmoStatus (string, optional) — VENMO_PAY_PROCESSING capability status — same account, separate status.
            • venmoRequirements (list of string, optional) — Outstanding requirements blocking VENMO_PAY_PROCESSING.
            • stakeholderIds (list of string, optional)
            • verificationTriggered (boolean, optional) — True once we’ve asked PayPal to (re)verify this account’s capabilities. triggerVerification itself makes PayPal emit a CAPABILITY_UPDATED webhook, so this flag stops that webhook from triggering verification again forever.
          • koard (object, optional)
            • accountId (string, required)
            • enabled (boolean, optional)
            • apiKeyPreview (string, optional)
            • apiKey (string, optional)
        • generatedDescription (string, optional)
        • bankSettlementOptions (object, optional)
          • token (string, required)
          • minRemainingBalance (object, required)
            • cents (integer, required)
          • useWire (boolean, optional)
        • allowAttestedKyc (boolean, optional)
        • attestedKycSsnNotRequired (boolean, optional)
        • allowAccountSharing (boolean, optional)
        • personaKycShareTokenTemplate (string, optional)
        • sendPresettleWebhooks (boolean, optional)
        • velocitySettings (object, optional)
          • limitMode (enum, required)
            • Allowed values: default, dynamic, custom, no_limit
          • customLimit (double, optional)
          • haltOnThreshold (boolean, optional)
          • lastHaltNotificationSentAt (datetime, optional)
          • lastSettlementPausedNotificationSentAt (datetime, optional)
        • velocitySettingsByRail (object, optional) — Make all properties in T optional
          • card (object, optional)
            • limitMode (enum, required)
              • Allowed values: default, dynamic, custom, no_limit
            • customLimit (double, optional)
            • haltOnThreshold (boolean, optional)
            • lastHaltNotificationSentAt (datetime, optional)
            • lastSettlementPausedNotificationSentAt (datetime, optional)
          • ach (object, optional)
            • limitMode (enum, required)
              • Allowed values: default, dynamic, custom, no_limit
            • customLimit (double, optional)
            • haltOnThreshold (boolean, optional)
            • lastHaltNotificationSentAt (datetime, optional)
            • lastSettlementPausedNotificationSentAt (datetime, optional)
          • pix (object, optional)
            • limitMode (enum, required)
              • Allowed values: default, dynamic, custom, no_limit
            • customLimit (double, optional)
            • haltOnThreshold (boolean, optional)
            • lastHaltNotificationSentAt (datetime, optional)
            • lastSettlementPausedNotificationSentAt (datetime, optional)
          • iban (object, optional)
            • limitMode (enum, required)
              • Allowed values: default, dynamic, custom, no_limit
            • customLimit (double, optional)
            • haltOnThreshold (boolean, optional)
            • lastHaltNotificationSentAt (datetime, optional)
            • lastSettlementPausedNotificationSentAt (datetime, optional)
          • crypto (object, optional)
            • limitMode (enum, required)
              • Allowed values: default, dynamic, custom, no_limit
            • customLimit (double, optional)
            • haltOnThreshold (boolean, optional)
            • lastHaltNotificationSentAt (datetime, optional)
            • lastSettlementPausedNotificationSentAt (datetime, optional)
          • wire (object, optional)
            • limitMode (enum, required)
              • Allowed values: default, dynamic, custom, no_limit
            • customLimit (double, optional)
            • haltOnThreshold (boolean, optional)
            • lastHaltNotificationSentAt (datetime, optional)
            • lastSettlementPausedNotificationSentAt (datetime, optional)
          • CashApp (object, optional)
            • limitMode (enum, required)
              • Allowed values: default, dynamic, custom, no_limit
            • customLimit (double, optional)
            • haltOnThreshold (boolean, optional)
            • lastHaltNotificationSentAt (datetime, optional)
            • lastSettlementPausedNotificationSentAt (datetime, optional)
          • paypal (object, optional)
            • limitMode (enum, required)
              • Allowed values: default, dynamic, custom, no_limit
            • customLimit (double, optional)
            • haltOnThreshold (boolean, optional)
            • lastHaltNotificationSentAt (datetime, optional)
            • lastSettlementPausedNotificationSentAt (datetime, optional)
          • venmo (object, optional)
            • limitMode (enum, required)
              • Allowed values: default, dynamic, custom, no_limit
            • customLimit (double, optional)
            • haltOnThreshold (boolean, optional)
            • lastHaltNotificationSentAt (datetime, optional)
            • lastSettlementPausedNotificationSentAt (datetime, optional)
          • apa (object, optional)
            • limitMode (enum, required)
              • Allowed values: default, dynamic, custom, no_limit
            • customLimit (double, optional)
            • haltOnThreshold (boolean, optional)
            • lastHaltNotificationSentAt (datetime, optional)
            • lastSettlementPausedNotificationSentAt (datetime, optional)
          • interac (object, optional)
            • limitMode (enum, required)
              • Allowed values: default, dynamic, custom, no_limit
            • customLimit (double, optional)
            • haltOnThreshold (boolean, optional)
            • lastHaltNotificationSentAt (datetime, optional)
            • lastSettlementPausedNotificationSentAt (datetime, optional)
        • enforceLivenessKyc (boolean, optional)
        • kycMinAge (double, optional)
        • canCreateBankAccounts (boolean, optional)
        • checkbookSettings (object, optional)
          • merchantName (string, required)
          • secret (string, required)
          • key (string, required)
          • walletId (string, required)
          • id (string, required)
        • reserveSettings (object, optional)
          • status (enum, required)
            • Allowed values: Disabled, Active, SweepFixed
          • rollingBps (double, required)
          • rollingDuration (double, required)
          • notes (string, optional)
        • globalRateLimit (double, optional)
        • banProxiesForCheckoutEndpoints (boolean, optional)
        • riskControls (object, optional)
          • topup (object, optional)
            • minAmountCents (double, optional) — Minimum topup amount in cents
            • maxAmountCents (double, optional) — Maximum topup amount in cents
        • acceptedToS (boolean, optional)
        • ssoSettings (object, optional)
          • requireSso (boolean, required)
        • chargebackFeeCents (double, optional)
        • chargebackEmails (list of string, optional)
        • fraudEmails (list of string, optional)
        • linkedBankAccount (object, optional)
          • routingNumber (string, required)
          • accountNumber (string, required)
          • accountType (enum, required)
            • Allowed values: checking, savings
          • plaidAccessToken (string, required)
          • plaidAccountId (string, required)
          • institutionName (string, optional)
        • customerDefaultOverrideLimit (object, optional)
          • cents (integer, required)
        • customerOverrideLimitCeiling (object, optional)
          • cents (integer, required)
        • customerDefaultExposureLimit (object, optional)
          • cents (integer, required)
        • dailyExposureLimit (object, optional)
          • cents (integer, required)
        • monthlyExposureLimit (object, optional)
          • cents (integer, required)
        • sendExposureCapSlackAlerts (boolean, optional)
        • mcc (string, optional)
        • processing (object, optional)
          • msaSigned (boolean, required)
          • statementsOnFile (boolean, required)
        • useSubsidiaryAccounts (boolean, optional)
        • firstPartyPayoutOverrides (object, optional, deprecated)
          • interacPayoutProvider (enum, optional)
            • Allowed values: checkbook, mock, aptpay
          • wirePayoutProvider (list of enum, optional)
            • Allowed values: MOCK, BRAID
          • paypalPayoutProvider (enum, optional)
            • Allowed values: checkbook, citcon, mock, paypal
          • venmoPayoutProvider (enum, optional)
            • Allowed values: checkbook, citcon, mock, paypal
          • appleP2cPayoutProvider (enum, optional)
            • Allowed values: aptpay, MOCK
          • globalP2cPayoutProvider (enum, optional)
            • Allowed values: aptpay, checkbook, shift4, citcon, MOCK
          • p2cPayoutProvider (enum, optional)
            • Allowed values: aptpay, checkbook, shift4, citcon, MOCK
          • eftPayoutProvider (enum, optional)
            • Allowed values: checkbook, aptpay, mock
          • pixPayoutProvider (enum, optional)
            • Allowed values: brla, mock
          • rtpPayoutProvider (enum, optional)
            • Allowed values: dwolla, mock, aptpay, aptpayRtp, checkbook, brale
          • ibanPayoutProvider (enum, optional)
            • Allowed values: merge, mock, ivy
          • bankPayoutProvider (list of enum, optional)
            • Allowed values: aptpay, coinfx, checkbook, BRAID, brale, mock
    • verification (object, required)
      • reference (string, required)
      • status (enum, required)
        • Allowed values: pending, partial-approval, approved, rejected, expired
      • vendor (enum, required)
        • Allowed values: middesk, sumsub, sumsub_docv, persona, persona_kyb
      • name (string, optional)
      • attested (boolean, optional)
      • shareToken (string, optional)
      • shareTokenStatus (string, optional)
      • sessionToken (string, optional)
      • rejectionReasons (list of string, optional)
    • riskScoreOverride (boolean, required)
    • country (string, required)
    • bankAccounts (list of object, required)
      • last4 (string, required)
      • accountHash (string, required)
      • alias (string, required)
      • token (string, required)
      • reference (string, required)
      • accountNumberOnlyHash (string, optional)
      • isDeleted (boolean, optional)
      • isTokenized (boolean, optional)
      • accountNumber (string, optional)
    • cards (list of object, required)
      • last4 (string, required)
      • token (string, required)
      • type (enum, required)
        • Allowed values: VISA, MSTR, AMEX, DISC
      • disbursementStatus (enum, required)
        • Allowed values: Immediate, Business Day, Ineligible, Unknown
      • createdAt (datetime, required)
      • isDeleted (boolean, optional)
      • currency (enum, optional)
        • Allowed values: USD, AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CHF, CLF, CLP, CNY, COP, CRC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ETB, EUR, FJD, GBP, GEL, GHS, GMD, GNF, GTQ, GYD, HKD, HNL, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MWK, MVR, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RWF, SAR, SCR, SDG, SEK, SGD, SLE, SLL, SOS, SRD, STN, SVC, SYP, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, UYU, UZS, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZAR, ZMW, ZWL, CDF, ERN, FKP, KPW, RUB, SBD, SHP, SSP, VES
      • nameOnCard (string, optional)
      • expMonth (string, optional)
      • expYear (string, optional)
    • ibans (list of object, required)
      • last4 (string, required)
      • accountHash (string, required)
      • alias (string, required)
      • token (string, required)
      • reference (string, required)
      • sortCode (string, required)
      • bic (string, optional)
    • swifts (list of object, required)
      • alias (string, required)
      • token (string, required)
      • reference (string, required)
      • last4 (string, required)
      • accountHash (string, required)
      • beneficiaryBankName (string, required)
      • beneficiaryBankAddress (object, required)
        • address1 (string, required)
        • city (string, required)
        • state (string, required)
        • zip (string, required)
        • country (string, required)
        • address2 (string, optional)
      • swiftCode (string, required)
      • intermediaryBank (object, optional)
        • swiftCode (string, required)
        • bankAddress (object, required)
          • address1 (string, required)
          • city (string, required)
          • state (string, required)
          • zip (string, required)
          • country (string, required)
          • address2 (string, optional)
        • bankName (string, required)
    • pixes (list of object, required)
      • key (string, required)
      • accountHash (string, required)
      • token (string, required)
    • efts (list of object, required)
      • accountHash (string, required)
      • alias (string, required)
      • token (string, required)
      • reference (string, required)
      • mask (string, required)
      • isDeleted (boolean, optional)
      • accountNumber (string, optional)
      • institutionId (string, optional)
      • institution (string, optional)
      • transit_number (string, optional)
    • mobiles (list of object, required)
      • alias (string, required)
      • token (string, required)
      • type (enum, required)
        • Allowed values: mobile
      • genus (enum, required)
        • Allowed values: applepay
      • disbursementStatus (enum, optional)
        • Allowed values: Immediate, Business Day, Ineligible, Unknown
      • currency (enum, optional)
        • Allowed values: USD, AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CHF, CLF, CLP, CNY, COP, CRC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ETB, EUR, FJD, GBP, GEL, GHS, GMD, GNF, GTQ, GYD, HKD, HNL, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MWK, MVR, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RWF, SAR, SCR, SDG, SEK, SGD, SLE, SLL, SOS, SRD, STN, SVC, SYP, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, UYU, UZS, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZAR, ZMW, ZWL, CDF, ERN, FKP, KPW, RUB, SBD, SHP, SSP, VES
      • deletedAt (datetime, optional)
      • expMonth (string, optional)
      • expYear (string, optional)
    • p2cAvailable (boolean, required)
    • applePayAvailable (boolean, required)
    • bankCurrencyOptions (list of enum, required)
      • Allowed values: USD, AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CHF, CLF, CLP, CNY, COP, CRC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ETB, EUR, FJD, GBP, GEL, GHS, GMD, GNF, GTQ, GYD, HKD, HNL, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MWK, MVR, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RWF, SAR, SCR, SDG, SEK, SGD, SLE, SLL, SOS, SRD, STN, SVC, SYP, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, UYU, UZS, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZAR, ZMW, ZWL, CDF, ERN, FKP, KPW, RUB, SBD, SHP, SSP, VES
    • freeWithdrawSpeeds (list of enum, required)
      • Allowed values: asap, same_day, standard, card, iban, pix, eft, venmo, paypal, wire, interac, swift
    • originalCurrency (enum or enum or enum or enum or enum, optional)
    • geoBlockOverride (object, optional) — Per-customer exemption from real-time geographic enforcement. When set and not expired, withdrawal blocking rules with method GEOLOCATION or IP are skipped for this withdrawer. KYC_ADDRESS rules still apply — KYC is the compliance floor and must remain enforceable. Auditable by construction: reason and setBy are required so admins can review why a specific user was exempted. expiresAt is optional but strongly recommended; long-lived overrides should be avoided.
      • reason (string, required)
      • setBy (string, required)
      • setAt (datetime, required)
      • expiresAt (datetime, optional)
    • blockCardReuseExempt (boolean, optional) — When true, this withdrawer is exempt from the merchant banDuplicateAccounts re-use check, so it may add an account that another withdrawer already uses without being blocked (423 PAYMENT_METHOD_IN_USE).
    • createdAt (datetime, optional)
    • venmo (object, optional) — From T, pick a set of properties whose keys are in the union K
      • alias (string, required)
      • token (string, required)
      • type (enum, required)
        • Allowed values: venmo
      • isDeleted (boolean, optional)
    • paypal (object, optional) — From T, pick a set of properties whose keys are in the union K
      • alias (string, required)
      • token (string, required)
      • type (enum, required)
        • Allowed values: paypal
      • isDeleted (boolean, optional)
    • interac (object, optional) — From T, pick a set of properties whose keys are in the union K
      • alias (string, required)
      • token (string, required)
      • type (enum, required)
        • Allowed values: interac
      • isDeleted (boolean, optional)

Examples

Response

{
  "withdrawer": {
    "_id": "string",
    "wallet": "string",
    "blockchain": "solana",
    "wallets": [
      {
        "wallet": "string",
        "blockchain": "solana"
      }
    ],
    "email": "string",
    "availability": {
      "status": "Functional",
      "reason": "string",
      "editor": "string",
      "updatedAt": "2024-01-15T09:30:00Z"
    },
    "currency": "USD",
    "merchant": "string",
    "verification": {
      "reference": "string",
      "status": "pending",
      "vendor": "middesk",
      "name": "string",
      "attested": true,
      "shareToken": "string",
      "shareTokenStatus": "string",
      "sessionToken": "string",
      "rejectionReasons": [
        "string"
      ]
    },
    "riskScoreOverride": true,
    "country": "string",
    "bankAccounts": [
      {
        "last4": "string",
        "accountHash": "string",
        "alias": "string",
        "token": "string",
        "reference": "string",
        "accountNumberOnlyHash": "string",
        "isDeleted": true,
        "isTokenized": true,
        "accountNumber": "string"
      }
    ],
    "cards": [
      {
        "last4": "string",
        "token": "string",
        "type": "VISA",
        "disbursementStatus": "Immediate",
        "createdAt": "2024-01-15T09:30:00Z",
        "isDeleted": true,
        "currency": "USD",
        "nameOnCard": "string",
        "expMonth": "string",
        "expYear": "string"
      }
    ],
    "ibans": [
      {
        "last4": "string",
        "accountHash": "string",
        "alias": "string",
        "token": "string",
        "reference": "string",
        "sortCode": "string",
        "bic": "string"
      }
    ],
    "swifts": [
      {
        "alias": "string",
        "token": "string",
        "reference": "string",
        "last4": "string",
        "accountHash": "string",
        "beneficiaryBankName": "string",
        "beneficiaryBankAddress": {
          "address1": "string",
          "city": "string",
          "state": "string",
          "zip": "string",
          "country": "string",
          "address2": "string"
        },
        "swiftCode": "string",
        "intermediaryBank": {
          "swiftCode": "string",
          "bankAddress": {
            "address1": "string",
            "city": "string",
            "state": "string",
            "zip": "string",
            "country": "string",
            "address2": "string"
          },
          "bankName": "string"
        }
      }
    ],
    "pixes": [
      {
        "key": "string",
        "accountHash": "string",
        "token": "string"
      }
    ],
    "efts": [
      {
        "accountHash": "string",
        "alias": "string",
        "token": "string",
        "reference": "string",
        "mask": "string",
        "isDeleted": true,
        "accountNumber": "string",
        "institutionId": "string",
        "institution": "string",
        "transit_number": "string"
      }
    ],
    "mobiles": [
      {
        "alias": "string",
        "token": "string",
        "type": "mobile",
        "genus": "applepay",
        "disbursementStatus": "Immediate",
        "currency": "USD",
        "deletedAt": "2024-01-15T09:30:00Z",
        "expMonth": "string",
        "expYear": "string"
      }
    ],
    "p2cAvailable": true,
    "applePayAvailable": true,
    "bankCurrencyOptions": [
      "USD"
    ],
    "freeWithdrawSpeeds": [
      "asap"
    ],
    "originalCurrency": "USD",
    "geoBlockOverride": {
      "reason": "string",
      "setBy": "string",
      "setAt": "2024-01-15T09:30:00Z",
      "expiresAt": "2024-01-15T09:30:00Z"
    },
    "blockCardReuseExempt": true,
    "createdAt": "2024-01-15T09:30:00Z",
    "venmo": {
      "alias": "string",
      "token": "string",
      "type": "venmo",
      "isDeleted": true
    },
    "paypal": {
      "alias": "string",
      "token": "string",
      "type": "paypal",
      "isDeleted": true
    },
    "interac": {
      "alias": "string",
      "token": "string",
      "type": "interac",
      "isDeleted": true
    }
  }
}

SDK Code

import requests

url = "https://api-sandbox.coinflow.cash/api/withdraw"

headers = {"x-coinflow-auth-wallet": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
const url = 'https://api-sandbox.coinflow.cash/api/withdraw';
const options = {method: 'GET', headers: {'x-coinflow-auth-wallet': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-sandbox.coinflow.cash/api/withdraw"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-coinflow-auth-wallet", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
require 'uri'
require 'net/http'

url = URI("https://api-sandbox.coinflow.cash/api/withdraw")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-coinflow-auth-wallet"] = '<apiKey>'

response = http.request(request)
puts response.read_body
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-sandbox.coinflow.cash/api/withdraw")
  .header("x-coinflow-auth-wallet", "<apiKey>")
[...]
